<?php
namespace Mirasvit\SeoMarkup\Block\Og\Page;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Block\Og\Page
 */
class Interceptor extends \Mirasvit\SeoMarkup\Block\Og\Page implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoMarkup\Model\Config\PageConfig $pageConfig, \Mirasvit\Seo\Api\Service\StateServiceInterface $stateService, \Magento\Theme\Block\Html\Header\Logo $logo, \Magento\Framework\View\Element\Template\Context $context, \Magento\Cms\Model\Page $cmsPage, \Magento\Cms\Helper\Page $cmsHelper)
    {
        $this->___init();
        parent::__construct($pageConfig, $stateService, $logo, $context, $cmsPage, $cmsHelper);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
